<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionCarDoors Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d38/class_action_car_doors.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionCarDoors Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionCarDoors:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/d38/class_action_car_doors.png" usemap="#ActionCarDoors_map" alt=""/>
  <map id="ActionCarDoors_map" name="ActionCarDoors_map">
<area href="../../d0/d5b/class_action_interact_base.html" alt="ActionInteractBase" shape="rect" coords="72,0,207,24"/>
<area href="../../d4/d06/class_action_close_car_doors.html" alt="ActionCloseCarDoors" shape="rect" coords="0,112,135,136"/>
<area href="../../d8/d59/class_action_open_car_doors.html" alt="ActionOpenCarDoors" shape="rect" coords="145,112,280,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a25d9d26ebe9847279e1af879029750c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#a25d9d26ebe9847279e1af879029750c8">ActionCarDoors</a> ()</td></tr>
<tr class="separator:a25d9d26ebe9847279e1af879029750c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d37527dde5311e987dc6413458cf1de"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#a4d37527dde5311e987dc6413458cf1de">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a4d37527dde5311e987dc6413458cf1de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47f8cf8e8fc7b796b7d52b1d7eb26842"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#a47f8cf8e8fc7b796b7d52b1d7eb26842">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a47f8cf8e8fc7b796b7d52b1d7eb26842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9da5175c70605c8fb83f7a361f4b54a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#af9da5175c70605c8fb83f7a361f4b54a">OnStartServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af9da5175c70605c8fb83f7a361f4b54a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb7d3b9bb190146db358a7ad39ea4308"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#afb7d3b9bb190146db358a7ad39ea4308">OnEndServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:afb7d3b9bb190146db358a7ad39ea4308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbde268a706d6e0b2ab4b99e346dc3bd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#afbde268a706d6e0b2ab4b99e346dc3bd">OnEnd</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:afbde268a706d6e0b2ab4b99e346dc3bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3b94343681f29f5d6f416cf90ba198c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#af3b94343681f29f5d6f416cf90ba198c">CanBeUsedInVehicle</a> ()</td></tr>
<tr class="separator:af3b94343681f29f5d6f416cf90ba198c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa992122a3a2e04269fdaa1786b9bde"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#aefa992122a3a2e04269fdaa1786b9bde">FillCommandUIDPerCrewIdx</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> crewIdx0, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> crewIdx1, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> crewIdx2, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> crewIdx3)</td></tr>
<tr class="separator:aefa992122a3a2e04269fdaa1786b9bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55761c0fd7b6eb2d3e5e7d235c17b79"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#ae55761c0fd7b6eb2d3e5e7d235c17b79">FillCommandUIDPerCrewIdx</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> evenCrewIdx0, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> unevenCrewIdx1)</td></tr>
<tr class="separator:ae55761c0fd7b6eb2d3e5e7d235c17b79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2522ae9d66efa71f63726b90b6a09a37"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#a2522ae9d66efa71f63726b90b6a09a37">m_CommandUIDPerCrewIdx</a> [4]</td></tr>
<tr class="separator:a2522ae9d66efa71f63726b90b6a09a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f56dfb758c84294a0f3bb8a30fee49"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#a52f56dfb758c84294a0f3bb8a30fee49">m_IsOpening</a> = true</td></tr>
<tr class="separator:a52f56dfb758c84294a0f3bb8a30fee49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef48745b6425de63728cd39092fd7566"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d59/class_car_script.html">CarScript</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#aef48745b6425de63728cd39092fd7566">m_Car</a> = null</td></tr>
<tr class="separator:aef48745b6425de63728cd39092fd7566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad41b55ef6be388175946d56167720a82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_car_doors.html#ad41b55ef6be388175946d56167720a82">m_AnimSource</a> = &quot;&quot;</td></tr>
<tr class="separator:ad41b55ef6be388175946d56167720a82"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00001">1</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a25d9d26ebe9847279e1af879029750c8" name="a25d9d26ebe9847279e1af879029750c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25d9d26ebe9847279e1af879029750c8">&#9670;&#160;</a></span>ActionCarDoors()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionCarDoors::ActionCarDoors </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00010">10</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a47f8cf8e8fc7b796b7d52b1d7eb26842" name="a47f8cf8e8fc7b796b7d52b1d7eb26842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47f8cf8e8fc7b796b7d52b1d7eb26842">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCarDoors::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >player inside vehicle</p>
<p >crewIdx sanity checks and see if there is a door</p>
<p >see if door is in reach</p>

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00022">22</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="af3b94343681f29f5d6f416cf90ba198c" name="af3b94343681f29f5d6f416cf90ba198c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3b94343681f29f5d6f416cf90ba198c">&#9670;&#160;</a></span>CanBeUsedInVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCarDoors::CanBeUsedInVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00115">115</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="a4d37527dde5311e987dc6413458cf1de" name="a4d37527dde5311e987dc6413458cf1de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d37527dde5311e987dc6413458cf1de">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCarDoors::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00016">16</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="aefa992122a3a2e04269fdaa1786b9bde" name="aefa992122a3a2e04269fdaa1786b9bde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefa992122a3a2e04269fdaa1786b9bde">&#9670;&#160;</a></span>FillCommandUIDPerCrewIdx() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ActionCarDoors::FillCommandUIDPerCrewIdx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>crewIdx0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>crewIdx1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>crewIdx2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>crewIdx3</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00120">120</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="ae55761c0fd7b6eb2d3e5e7d235c17b79" name="ae55761c0fd7b6eb2d3e5e7d235c17b79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55761c0fd7b6eb2d3e5e7d235c17b79">&#9670;&#160;</a></span>FillCommandUIDPerCrewIdx() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ActionCarDoors::FillCommandUIDPerCrewIdx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>evenCrewIdx0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>unevenCrewIdx1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00128">128</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="afbde268a706d6e0b2ab4b99e346dc3bd" name="afbde268a706d6e0b2ab4b99e346dc3bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbde268a706d6e0b2ab4b99e346dc3bd">&#9670;&#160;</a></span>OnEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCarDoors::OnEnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00107">107</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="afb7d3b9bb190146db358a7ad39ea4308" name="afb7d3b9bb190146db358a7ad39ea4308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb7d3b9bb190146db358a7ad39ea4308">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCarDoors::OnEndServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00092">92</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="af9da5175c70605c8fb83f7a361f4b54a" name="af9da5175c70605c8fb83f7a361f4b54a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9da5175c70605c8fb83f7a361f4b54a">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCarDoors::OnStartServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00058">58</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad41b55ef6be388175946d56167720a82" name="ad41b55ef6be388175946d56167720a82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad41b55ef6be388175946d56167720a82">&#9670;&#160;</a></span>m_AnimSource</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionCarDoors::m_AnimSource = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00007">7</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="aef48745b6425de63728cd39092fd7566" name="aef48745b6425de63728cd39092fd7566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef48745b6425de63728cd39092fd7566">&#9670;&#160;</a></span>m_Car</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d59/class_car_script.html">CarScript</a> ActionCarDoors::m_Car = null</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00006">6</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="a2522ae9d66efa71f63726b90b6a09a37" name="a2522ae9d66efa71f63726b90b6a09a37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2522ae9d66efa71f63726b90b6a09a37">&#9670;&#160;</a></span>m_CommandUIDPerCrewIdx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionCarDoors::m_CommandUIDPerCrewIdx[4]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<a id="a52f56dfb758c84294a0f3bb8a30fee49" name="a52f56dfb758c84294a0f3bb8a30fee49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52f56dfb758c84294a0f3bb8a30fee49">&#9670;&#160;</a></span>m_IsOpening</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCarDoors::m_IsOpening = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d65/_action_car_doors_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/Vehicles/<a class="el" href="../../db/d65/_action_car_doors_8c_source.html">ActionCarDoors.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d38/class_action_car_doors.html">ActionCarDoors</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
